## gate.creole
Class POSTagger

    java.lang.Object
      |
      +--gate.util.AbstractFeatureBearer
            |
            +--gate.creole.AbstractResource
                  |
                  +--gate.creole.AbstractProcessingResource
                        |
                        +--gate.creole.AbstractLanguageAnalyser
                              |
                              +--gate.creole.POSTagger

All Implemented Interfaces:
  Executable, FeatureBearer, LanguageAnalyser, NameBearer, ProcessingResource, Resource, Serializable

public class POSTagger
extends AbstractLanguageAnalyser

This class is a wrapper for HepTag, Mark Hepple's POS tagger.

See Also:
  Serialized Form

Constructor Summary
`POSTagger()`

Method Summary
`void` `execute()` Starts the execution of this executable
`String` `getInputASName()`
`URL` `getLexiconURL()`
`String` `getOutputASName()`
`URL` `getRulesURL()`
`Resource` `init()` Initialise this resource, and return it.
`void` `setInputASName(String newInputASName)`
`void` `setLexiconURL(URL newLexiconURL)`
`void` `setOutputASName(String newOutputASName)`
`void` `setRulesURL(URL newRulesURL)`

Methods inherited from class gate.creole.AbstractLanguageAnalyser
`getCorpus, getDocument, setCorpus, setDocument`

Methods inherited from class gate.creole.AbstractProcessingResource
`addProgressListener, addStatusListener, cleanup, interrupt, isInterrupted, reInit, removeProgressListener, removeStatusListener`

Methods inherited from class gate.creole.AbstractResource
`checkParameterValues, getName, getParameterValue, getParameterValue, removeResourceListeners, setName, setParameterValue, setParameterValue, setParameterValues, setParameterValues, setResourceListeners`

Methods inherited from class gate.util.AbstractFeatureBearer
`getFeatures, setFeatures`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface gate.ProcessingResource
`interrupt, isInterrupted, reInit`

Methods inherited from interface gate.Resource
`cleanup, getParameterValue, setParameterValue, setParameterValues`

Methods inherited from interface gate.util.FeatureBearer
`getFeatures, setFeatures`

Methods inherited from interface gate.util.NameBearer
`getName, setName`

Constructor Detail

### POSTagger

    public POSTagger()

Method Detail

### init

    public Resource init()
                  throws ResourceInstantiationException

  Description copied from interface: `Resource`
  Initialise this resource, and return it.
  Overrides:
    `init` in class `AbstractProcessingResource`

### execute

    public void execute()
                 throws ExecutionException

  Description copied from interface: `Executable`
  Starts the execution of this executable
  Overrides:
    `execute` in class `AbstractProcessingResource`

### setLexiconURL

    public void setLexiconURL(URL newLexiconURL)

### getLexiconURL

    public URL getLexiconURL()

### setRulesURL

    public void setRulesURL(URL newRulesURL)

### getRulesURL

    public URL getRulesURL()

### setInputASName

    public void setInputASName(String newInputASName)

### getInputASName

    public String getInputASName()

### setOutputASName

    public void setOutputASName(String newOutputASName)

### getOutputASName

    public String getOutputASName()